#!/usr/bin/env python
# coding: utf-8

import wx
import gmForms
import gmFormEditor
import gmFormDBInterface
import os
import os.path

		
#=========================================================================		
class TestApp(wx.App):
	"""
	Fake Gnumed.
	"""

	def OnInit(self):
		frame = cTestFrame()
		frame.Show()
		self.SetTopWindow(frame)

		return True
	
#===========================================================================
class cTestFrame(wx.Frame):

	def __init__(self):
		wx.Frame.__init__(self,None,-1,pos=(-1,-1),size=(800,600),title='Test' )
		
		nb = cNoteBook(self)
		self.CenterOnScreen()
		
#=============================================================================
class cNoteBook(wx.Notebook):
	def __init__(self,parent):
		wx.Notebook.__init__(self,parent,-1,style=wx.NB_BOTTOM)
		# instanciate the form definition	
		self.parent = parent
		
		# pages
		# self.forms = gmForms.cForms(self) - just as a placeholder
		self.form_editor = gmFormEditor.cFormEditor(self)
		# self.AddPage(self.forms,'FormManager')- just as a placeholder
		self.AddPage(self.form_editor,'FormEditor')
	
#==============================================================================


app = TestApp()
app.MainLoop()
		
